Bug 1877816 - Categorize clusters in telemetry by hardware type, cloud type, and install type
Summary: Categorize clusters in telemetry by hardware type, cloud type, and install type
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.6.0
Assignee: Clayton Coleman
QA Contact: Junqi Zhao
URL:
Whiteboard: telemeter-metric
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 13:58 UTC by Clayton Coleman
Modified: 2020-09-15 08:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift telemeter pull 356 None closed Bug 1877816: Provide synthetic recording rules for common cluster id -> key dimensional joins 2020-09-14 23:53:26 UTC

Description Clayton Coleman 2020-09-10 13:58:03 UTC
Key dimensions for understanding clusters are cloud provider type, how the cluster was installed, and what the dominant hardware or virtualization type underpinning the cluster is.  Also, as we have added tracking metrics for these over time some clusters do not report these metrics which is a common gotcha when querying and complicates other queries.

We should create telemetry recording rules that summarize each of these dimensions, then fold them into the cluster_subscribed rule (which will not increase cardinality of that rule) so that we can more effectively subdivide on our key dimensions.

Comment 2 Junqi Zhao 2020-09-15 08:46:24 UTC
tested with 4.6.0-0.nightly-2020-09-14-181123, the metrics could be found in telemeter-server


Note You need to log in before you can comment on or make changes to this bug.